* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

header,
footer,
nav,
main,
aside {
    border-width: 1px;
    border-style: solid;
    padding: 0.5em 1em;
    margin: 0;
    border-radius: 0;
}

html,
body,
.viewport {
    width: 100%;
    height: 100%;
    margin: 0;
}

.vbox {
    display: flex;
    flex-direction: column;
}

.hbox {
    display: flex;
    flex-direction: row;
}

.space-between {
    justify-content: space-between;
}

header {
    height: 4em;
}

footer {
    text-align: justify;
    flex: 1;
    flex-grow: 0;
    flex-basis: 2em;
}

section.main {
    flex: 5;
    flex: 1 0 auto;
}

main {
    flex: 5;
}

aside,
nav {
    flex: 1;
}

pre {
    padding: 1em;
}